| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::gapi::wip::onevpl::GSource Class Reference

G-API streaming source based on OneVPL implementation. More...

`#include <opencv2/gapi/streaming/onevpl/source.hpp>`

Collaboration diagram for cv::gapi::wip::onevpl::GSource:

## Public Member Functions
| GSource (const std::string &filePath, const CfgParams &cfg_params, const Device &device, const Context &ctx)
| GSource (const std::string &filePath, const CfgParams &cfg_params, const std::string &device_id, void *accel_device_ptr, void *accel_ctx_ptr)
| GSource (const std::string &filePath, const CfgParams &cfg_params, std::shared_ptr< IDeviceSelector > selector)
| GSource (const std::string &filePath, const CfgParams &cfg_params=CfgParams{})
| GSource (std::shared_ptr< IDataProvider > source, const CfgParams &cfg_params, const std::string &device_id, void *accel_device_ptr, void *accel_ctx_ptr)
| GSource (std::shared_ptr< IDataProvider > source, const CfgParams &cfg_params, std::shared_ptr< IDeviceSelector > selector)
| GSource (std::shared_ptr< IDataProvider > source, const CfgParams &cfg_params=CfgParams{})
| ~GSource () override
GMetaArg | descr_of () const override
bool | pull (cv::gapi::wip::Data &data) override
Public Member Functions inherited from cv::gapi::wip::IStreamSource
virtual | ~IStreamSource ()=default
virtual void | halt ()
Ptr | ptr ()

## Additional Inherited Members
Public Types inherited from cv::gapi::wip::IStreamSource
using | Ptr = std::shared_ptr<IStreamSource>

## Detailed Description

G-API streaming source based on OneVPL implementation.

This class implements IStreamSource interface. Its constructor takes source file path (in usual way) or onevpl::IDataProvider interface implementation (for not file-based sources). It also allows to pass-through oneVPL configuration parameters by using several onevpl::CfgParam.

Note
  stream sources are passed to G-API via shared pointers, so please gapi::make_onevpl_src<> to create objects and ptr() to pass a GSource to cv::gin().

## Constructor & Destructor Documentation

## ◆ GSource() [1/7]

cv::gapi::wip::onevpl::GSource::GSource | ( | const std::string & | filePath,
|  | const CfgParams & | cfg_params = CfgParams{} )

## ◆ GSource() [2/7]

cv::gapi::wip::onevpl::GSource::GSource | ( | const std::string & | filePath,
|  | const CfgParams & | cfg_params,
|  | const std::string & | device_id,
|  | void * | accel_device_ptr,
|  | void * | accel_ctx_ptr )

## ◆ GSource() [3/7]

cv::gapi::wip::onevpl::GSource::GSource | ( | const std::string & | filePath,
|  | const CfgParams & | cfg_params,
|  | const Device & | device,
|  | const Context & | ctx )

## ◆ GSource() [4/7]

cv::gapi::wip::onevpl::GSource::GSource | ( | const std::string & | filePath,
|  | const CfgParams & | cfg_params,
|  | std::shared_ptr< IDeviceSelector > | selector )

## ◆ GSource() [5/7]

cv::gapi::wip::onevpl::GSource::GSource | ( | std::shared_ptr< IDataProvider > | source,
|  | const CfgParams & | cfg_params = CfgParams{} )

## ◆ GSource() [6/7]

cv::gapi::wip::onevpl::GSource::GSource | ( | std::shared_ptr< IDataProvider > | source,
|  | const CfgParams & | cfg_params,
|  | const std::string & | device_id,
|  | void * | accel_device_ptr,
|  | void * | accel_ctx_ptr )

## ◆ GSource() [7/7]

cv::gapi::wip::onevpl::GSource::GSource | ( | std::shared_ptr< IDataProvider > | source,
|  | const CfgParams & | cfg_params,
|  | std::shared_ptr< IDeviceSelector > | selector )

## ◆ ~GSource()

cv::gapi::wip::onevpl::GSource::~GSource | ( |  | ) |
| override

## Member Function Documentation

## ◆ descr_of()

GMetaArg cv::gapi::wip::onevpl::GSource::descr_of | ( |  | ) | const
| override virtual

Implements cv::gapi::wip::IStreamSource.

## ◆ pull()

bool cv::gapi::wip::onevpl::GSource::pull | ( | cv::gapi::wip::Data & | data | ) |
| override virtual

Implements cv::gapi::wip::IStreamSource.

The documentation for this class was generated from the following file:

- opencv2/gapi/streaming/onevpl/source.hpp